
QGIS Application - Bug report #2531

if text values in attributes table begin with a letter with a accent, then alphabetic ordering is wrong

2010-03-07 02:01 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12591

Description

Pick a vector with a text column data type, and a few values in in it.

Edit one of those values in order to the string begin with a letter like "É" or "À", save changes and then order alphabetically the column.

The record with the value that begins with "É" or "À" (or any other char of this kind) do show at the bottom of the list instead of show

where they belongs, among records with values that begin with "E" or "A".

Associated revisions

Revision 63693eb4 - 2010-05-18 12:20 AM - Jürgen Fischer

fix #2531

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13518 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision a3a7b996 - 2010-05-18 12:20 AM - Jürgen Fischer

fix #2531

git-svn-id: http://svn.osgeo.org/qgis/trunk@13518 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-05-17 03:20 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:a3a7b996 (SVN r13519).
